Package org.eclipse.ui.dialogs

# Class StyledStringHighlighter

java.lang.Object
org.eclipse.ui.dialogs.StyledStringHighlighter

All Implemented Interfaces:
  `IStyledStringHighlighter`

public class StyledStringHighlighter extends Object implements IStyledStringHighlighter
The default implementation of `IStyledStringHighlighter`. Highlights all matching groups of filter regular expression using `*` and `?` as placeholder in bold.

Since:
  3.115

## Constructor Summary

Constructors
Constructor
Description
`StyledStringHighlighter()`

## Method Summary

Modifier and Type
Method
Description
`StyledString`
`highlight(String text, String pattern, StyledString.Styler styler)`
Used to highlight matches

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StyledStringHighlighter

public StyledStringHighlighter()

## Method Details

### highlight

public StyledString highlight(String text, String pattern, StyledString.Styler styler)
Description copied from interface: `IStyledStringHighlighter`
Used to highlight matches

Specified by:
  `highlight` in interface `IStyledStringHighlighter`
Parameters:
  `text` - The text in which matches should be highlighted
  `pattern` - The pattern that defines what to highlight
  `styler` - The styler used to highlight the matches
Returns:
  A `StyledString` representation of `text`